import { defineStore } from "pinia";

export const useRouterStore = defineStore("routerStore", {
  state: () => ({
    routers: [],
  }),
  getters: {
    getRouters: (state) => state.routers,
  },
  actions: {
    setRouters(routers) {
      this.routers = routers;
    },
  },
  persist: {
    storage: window.sessionStorage,
  },
});
